Bug 1527675 - mountstats: Use correct RDMA terminology
Summary: mountstats: Use correct RDMA terminology
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nfs-utils
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1527938
TreeView+ depends on / blocked
 
Reported: 2017-12-19 21:13 UTC by Steve Dickson
Modified: 2018-01-09 16:48 UTC (History)
4 users (show)

Fixed In Version: nfs-utils-2.2.1-3.rc2.fc27 nfs-utils-2.2.1-3.rc2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1527938 (view as bug list)
Environment:
Last Closed: 2017-12-28 02:52:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Steve Dickson 2017-12-19 21:13:38 UTC
Description of problem:
The kernel is counting RDMA segments, not chunks. Correct the units
labels displayed by "mountstats -x", and fix up the internal names
of the counters.

Fixes: 6742ba53ae79 ("mountstats: Add option to pretty-print ...")
Signed-off-by: Chuck Lever <chuck.lever@oracle.com>
---
 tools/mountstats/mountstats.py |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/tools/mountstats/mountstats.py b/tools/mountstats/mountstats.py
index 440aa72..c7fb8bb 100755
--- a/tools/mountstats/mountstats.py
+++ b/tools/mountstats/mountstats.py
@@ -120,9 +120,9 @@ XprtRdmaCounters = [
     'badxids',
     'inflightsends',
     'backlogutil',
-    'read_chunks',
-    'write_chunks',
-    'reply_chunks',
+    'read_segments',
+    'write_segments',
+    'reply_segments',
     'total_rdma_req',
     'total_rdma_rep',
     'pullup',
@@ -718,9 +718,9 @@ class DeviceData:
             if self.__rpc_data['rpcsends'] != 0:
                 print('\tAvg backlog length: %d' % \
                     (float(self.__rpc_data['backlogutil']) / self.__rpc_data['rpcsends']))
-            print('\tRead chunks: %d' % self.__rpc_data['read_chunks'])
-            print('\tWrite chunks: %d' % self.__rpc_data['write_chunks'])
-            print('\tReply chunks: %d' % self.__rpc_data['reply_chunks'])
+            print('\tRead segments: %d' % self.__rpc_data['read_segments'])
+            print('\tWrite segments: %d' % self.__rpc_data['write_segments'])
+            print('\tReply segments: %d' % self.__rpc_data['reply_segments'])
             print('\tRegistered: %d bytes' % self.__rpc_data['total_rdma_req'])
             print('\tRDMA received: %d bytes' % self.__rpc_data['total_rdma_rep'])
             print('\tTotal pull-up: %d bytes' % self.__rpc_data['pullup'])


Actual results:


Expected results:


Additional info:

Comment 1 Fedora Update System 2017-12-20 15:58:08 UTC
nfs-utils-2.2.1-3.rc2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c458061e88

Comment 2 Fedora Update System 2017-12-20 15:58:21 UTC
nfs-utils-2.2.1-3.rc2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-00310ebff2

Comment 3 Fedora Update System 2017-12-21 20:26:37 UTC
nfs-utils-2.2.1-3.rc2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-00310ebff2

Comment 4 Fedora Update System 2017-12-21 21:11:27 UTC
nfs-utils-2.2.1-3.rc2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c458061e88

Comment 5 Vasiliy Glazov 2017-12-22 08:37:34 UTC
Why I am was set as default assignee for this package bugreports?

Comment 6 Fedora Update System 2017-12-28 02:52:31 UTC
nfs-utils-2.2.1-3.rc2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2018-01-09 16:48:41 UTC
nfs-utils-2.2.1-3.rc2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.